<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:template name="MODULES-HEAD-EDIT">
<script type='text/javascript' language='javascript' src='{$baseURL}/modules/{$SB_modules}/js/votes.js'></script>
</xsl:template>

<xsl:template name="MODULES-FIRST-TAG-EDIT"></xsl:template>

<xsl:template name="MODULES-BODY-EDIT">
	<script type='text/javascript' language='javascript' src='{$baseURL}/js/module_wysiwyg_old.js'></script>
	<xsl:for-each select="/*/CONTENT-AREA/REPCSS">
	<style type="text/css">@import url(<xsl:value-of select="$baseURL"/><xsl:apply-templates select="/*/CONTENT-AREA/BASEURL"/><xsl:value-of select="@NAME"/>);</style>
	</xsl:for-each>
	<style type="text/css">@import url(<xsl:value-of select="$baseURL"/>/modules/<xsl:value-of select="$SB_modules"/>/style.css);</style>
	<script language="javascript">
	delmessage = '<xsl:value-of select='//DELMESSAGE_ALERT'/>';
	noselect = '<xsl:value-of select='//NOSELECT_ALERT'/>';
	confirm_rem_answ = '<xsl:value-of select='//CONFIRM_REM_ANSW_ALERT'/>';
	ansor_deleted_no = '<xsl:value-of select='//ANSOR_DELETED_NO_ALERT'/>';
	answer_empty = '<xsl:value-of select='//ANSWER_EMPTY_ALERT'/>';
	</script>
	<xsl:apply-templates select="//VOTESEDITOR"/>
	<script language="javascript"><xsl:if test="//JAVA"><xsl:value-of select='//JAVA'/></xsl:if></script>

</xsl:template>

<xsl:template match="VOTESEDITOR">
    <table cellpadding="0" cellspacing="10" width="100%">
    <tr>
    <td>
    <xsl:apply-templates select="GUI-TABPANEL"/>
    </td>
    </tr>
    </table>
</xsl:template>

<xsl:template match="VOTESPREVIEW">
	<link rel="stylesheet" type="text/css">
		<xsl:attribute name="href"><xsl:value-of select="$baseURL"/><xsl:apply-templates select="/*/CONTENT-AREA/BASEURL"/>css/styles.css</xsl:attribute>	
	</link>
	<div id="m_votes_div" name="m_votes_div" style="border-style: solid; border-color: #8494A0; background-color: #ffffff; border-width: 1px; height: 325px; width: 100%; overflow-y: auto; overflow-x: auto; overflow: auto; float: left;">
	</div>
	<script type="text/javascript" language="javascript">
	doPreviewModulesBild('<xsl:apply-templates select="//CONTA" />','<xsl:apply-templates select="//CONTV" />', __base__URL+'<xsl:apply-templates select="/*/CONTENT-AREA/BASEURL"/>');
	</script>
</xsl:template>

</xsl:stylesheet>